Page MenuHomePhabricator

[analyzer] NFC: Re-use reusable unittest mocks.
ClosedPublic

Authored by NoQ on Apr 15 2019, 5:03 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

NoQ created this revision.Apr 15 2019, 5:03 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 15 2019, 5:03 PM
Szelethus accepted this revision.Apr 16 2019, 1:03 AM

Yes please!! Wanted to do this for RegisterCustomCheckers.cpp for a while (moving the general stuff to a header file), to have unit tests for checker dependencies, but I'll sort that out myself when I get to it. Cheers!

This revision is now accepted and ready to land.Apr 16 2019, 1:03 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 18 2019, 4:23 PM